package main

import "github.com/go-gandi/go-gandi/config"

type User struct {
	Hostname string `yaml:"hostname"`
	Secret   string `yaml:"secret"`
}

type Config struct {
	Users []User `yaml:"users"`
}

type Request struct {
	IPAddr string `json:"ipaddr"`
	Secret string `json:"secret"`
}

type Registration struct {
	IPAddr string
	Domain string
	Update bool
}

type Watch struct {
	Tildes map[string]Registration
	debug  bool

	domain string
	conf   config.Config
}
